# -*- coding: utf-8 -*
"""
nodoctest
"""

#############################################################################
#       Copyright (C) 2007 William Stein <wstein@gmail.com>
#  Distributed under the terms of the GNU General Public License (GPL)
#  The full text of the GPL is available at:
#                  http://www.gnu.org/licenses/
#############################################################################
from __future__ import print_function  # must be here !

"""
Sending mail using Twisted

AUTHOR:

Bobby Moretti
"""
from twisted.mail.smtp import sendmail
from twisted.internet.task import react
from email.mime.text import MIMEText

def buildMessage(fromaddr, toaddr, subject, body):
    message = MIMEText(body)
    message['From'] = fromaddr
    message['To'] = toaddr
    message['Subject'] = subject
    return message

def sendComplete(result):
    print("Message sent.")

def handleError(error):
    print("Error {}".format(error.getErrorMessage()), file=sys.stderr)

def send_mail(fromaddr, toaddr, subject, body, on_success=sendComplete, on_failure=handleError):
    try:
        d = sendmail("localhost", fromaddr, toaddr, message)
        d.addBoth(print)
    except:
        handleError(sys.exc_info()[0])
        return
    sendComplete()

